Skip to content

Reddit API - 帖子评论 (V1)

prod-global
GET
/api/reddit/get-post-comments/v1

通过ID获取特定Reddit帖子的讨论线程(评论)。结果以分页的评论对象列表形式返回,包括每个响应的文本、作者和其他元数据。

典型用例

  • 挖掘客户反馈和评论
  • 通过详细讨论理解社区情绪
  • 追踪线程内主题的演变

亮点

  • 通过'cursor'参数支持分页。

请求参数

参数名位置类型必填说明
tokenquerystring此 API 服务的访问令牌。
postIdquerystringReddit帖子的唯一标识符。
cursorquerystring下一页结果的分页令牌。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE"
text
我想使用 Just One API 提供的“帖子评论 (V1)”接口。
接口地址: https://api.justoneapi.com/api/reddit/get-post-comments/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/reddit-apis/post-comments-v1-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- postId (query): Reddit帖子的唯一标识符。 (必填)
- cursor (query): 下一页结果的分页令牌。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/reddit/get-post-comments/v1?token=YOUR_API_KEY&postId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "postInfoById": {
      "__typename": "SubredditPost",
      "id": "t3_1q4aqti",
      "title": "[ 已被版主删除 ]",
      "subreddit": {
        "id": "t5_2x2oy",
        "name": "Whatcouldgowrong",
        "prefixedName": "r/Whatcouldgowrong",
        "moderation": {
          "isShowCommentRemovalReasonPrompt": true
        },
        "allowedMediaInComments": [
          "GIPHY",
          "STATIC",
          "ANIMATED",
          "EXPRESSION"
        ],
        "isQuarantined": false,
        "tippingStatus": null
      },
      "commentForest": {
        "__typename": "CommentForest",
        "trees": [
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_nysqpur",
              "createdAt": "2026-01-10T15:21:49.595000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Feeling like he did not think that entire situation through.",
                "preview": "Feeling like he did not think that entire situation through.",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Feeling like he did not think that entire situation through.\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_1oz1y7tyh0",
                "name": "Fair_Performance4834",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_4.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_4.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "snoovatarIcon": null,
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/nysqpur/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_nykq3z9",
              "createdAt": "2026-01-09T10:55:10.240000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "I would say he really fell for that trap.",
                "preview": "I would say he really fell for that trap.",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"I would say he really fell for that trap.\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_1few65j0j1",
                "name": "Well-It-Depends420",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_5.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_5.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "snoovatarIcon": null,
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/nykq3z9/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_nyit4ip",
              "createdAt": "2026-01-09T02:26:16.030000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Did he get the shot?",
                "preview": "Did he get the shot?",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Did he get the shot?\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_3cgzl6vj",
                "name": "johnfogogin",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_xlk5v/styles/profileIcon_oa62tw51neg71.jpg?s=c35cea8cc50a8459517a68d0c241eb8eb6154d2f",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_xlk5v/styles/profileIcon_oa62tw51neg71.jpg?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=3b0d2c591c4a42aafe9d1a97de87c47368a65fee",
                  "dimensions": {
                    "width": 50,
                    "height": 50
                  }
                },
                "snoovatarIcon": null,
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/nyit4ip/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_nyi1en1",
              "createdAt": "2026-01-09T00:00:39.823000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Regardless of the moronic behaviour that is an awesome location",
                "preview": "Regardless of the moronic behaviour that is an awesome location",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Regardless of the moronic behaviour that is an awesome location\"}],\"e\":\"par\"}]}",
                "typeHint": "RTJSON",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_m7qcn",
                "name": "Jail-bot",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_c53sg/styles/profileIcon_4pjdlauerb381.png?s=86e72ed9ed5d2991d8d91cdbf692695fb78d1934",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_c53sg/styles/profileIcon_4pjdlauerb381.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=2d0889f7c315c165f3d1db3bc4d049cf7671f714",
                  "dimensions": {
                    "width": 50,
                    "height": 50
                  }
                },
                "snoovatarIcon": null,
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/nyi1en1/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_nyai684",
              "createdAt": "2026-01-07T22:53:18.432000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Poseidon 1. Idiot 0.",
                "preview": "Poseidon 1. Idiot 0.",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Poseidon 1. Idiot 0.\"}],\"e\":\"par\"}]}",
                "typeHint": "RTJSON",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "und",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_3w27oea2",
                "name": "Periwinkleditor",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_2.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_2.png",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "snoovatarIcon": null,
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/nyai684/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_ny95e7n",
              "createdAt": "2026-01-07T19:19:23.382000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Yeah, the North Atlantic is not forgiving in the slightest.",
                "preview": "Yeah, the North Atlantic is not forgiving in the slightest.",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Yeah, the North Atlantic is not forgiving in the slightest.\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_hnmwtit",
                "name": "M4sharman",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_5g2s0/styles/profileIcon_snoo-nftv2_bmZ0X2VpcDE1NToxMzdfNjIyZDhmZWE0NjAzYmE5ZWRhZjEwODRiNDA3MDUyZDhiMGE5YmVkN18yMDYzNTMw_rare_68d76853-f583-407c-949c-24df9595ec4a-headshot.png?s=348b705599285f0f7eba65d9d42b253368569c0c",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_5g2s0/styles/profileIcon_snoo-nftv2_bmZ0X2VpcDE1NToxMzdfNjIyZDhmZWE0NjAzYmE5ZWRhZjEwODRiNDA3MDUyZDhiMGE5YmVkN18yMDYzNTMw_rare_68d76853-f583-407c-949c-24df9595ec4a-headshot.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=7cb809aff3d05c799fbe2c7b42a3d4777688901e",
                  "dimensions": {
                    "width": 50,
                    "height": 50
                  }
                },
                "snoovatarIcon": {
                  "__typename": "MediaSource",
                  "url": "https://i.redd.it/snoovatar/avatars/nftv2_bmZ0X2VpcDE1NToxMzdfNjIyZDhmZWE0NjAzYmE5ZWRhZjEwODRiNDA3MDUyZDhiMGE5YmVkN18yMDYzNTMw_rare_68d76853-f583-407c-949c-24df9595ec4a.png",
                  "dimensions": {
                    "width": 380,
                    "height": 600
                  }
                },
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/ny95e7n/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_ny6lnlz",
              "createdAt": "2026-01-07T11:35:50.141000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "My toxic trait is that I think I could probably out run it (probably not tho)",
                "preview": "My toxic trait is that I think I could probably out run it (probably not tho)",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"My toxic trait is that I think I could probably out run it (probably not tho)\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_b75r5ka",
                "name": "Mattshark8614",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_85qf2/styles/profileIcon_snood3fa1487-275e-4cc8-aa83-b9e2510e94c9-headshot.png?s=689b24ab306c88e7948125e93263e8462f3c49df",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_85qf2/styles/profileIcon_snood3fa1487-275e-4cc8-aa83-b9e2510e94c9-headshot.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=954633e4f3fdcbb35bb9ad47b1bb43447f533b2a",
                  "dimensions": {
                    "width": 50,
                    "height": 50
                  }
                },
                "snoovatarIcon": {
                  "__typename": "MediaSource",
                  "url": "https://i.redd.it/snoovatar/avatars/d3fa1487-275e-4cc8-aa83-b9e2510e94c9.png",
                  "dimensions": {
                    "width": 380,
                    "height": 600
                  }
                },
                "profile": {
                  "isNsfw": true
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/ny6lnlz/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": null,
            "parentId": null,
            "node": {
              "__typename": "Comment",
              "id": "t1_ny5ts6z",
              "createdAt": "2026-01-07T07:25:20.568000+0000",
              "editedAt": null,
              "isAdminTakedown": false,
              "isRemoved": false,
              "removedByCategory": null,
              "isLocked": false,
              "isGildable": false,
              "isInitiallyCollapsed": false,
              "initiallyCollapsedReason": null,
              "content": {
                "__typename": "Content",
                "markdown": "Ppl die every year in my coastal town trying to swim in heavy weather and seas, they never learn, just put rescue services at risk",
                "preview": "Ppl die every year in my coastal town trying to swim in heavy weather and seas, they never learn, just put rescue services at risk",
                "richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Ppl die every year in my coastal town trying to swim in heavy weather and seas, they never learn, just put rescue services at risk\"}],\"e\":\"par\"}]}",
                "typeHint": "TEXT",
                "richtextMedia": [],
                "translationInfo": {
                  "isTranslated": false,
                  "translatedLanguage": null
                }
              },
              "isTranslatable": false,
              "languageCode": "en",
              "authorInfo": {
                "__typename": "Redditor",
                "id": "t2_cep0womh",
                "name": "ant69onio",
                "isBlocked": false,
                "isCakeDayNow": false,
                "newIcon": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_4i5r0k/styles/profileIcon_snoo21d8d100-51fa-4792-87cc-40dd28be2f8a-headshot.png?s=4e43da27159edabdf84ed84b646a40e592490694",
                  "dimensions": {
                    "width": 256,
                    "height": 256
                  }
                },
                "iconSmall": {
                  "__typename": "MediaSource",
                  "url": "https://styles.redditmedia.com/t5_4i5r0k/styles/profileIcon_snoo21d8d100-51fa-4792-87cc-40dd28be2f8a-headshot.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=6d8d04d037a3e506a10f013a5de2f2deb1b661b4",
                  "dimensions": {
                    "width": 50,
                    "height": 50
                  }
                },
                "snoovatarIcon": {
                  "__typename": "MediaSource",
                  "url": "https://i.redd.it/snoovatar/avatars/21d8d100-51fa-4792-87cc-40dd28be2f8a.png",
                  "dimensions": {
                    "width": 380,
                    "height": 600
                  }
                },
                "profile": {
                  "isNsfw": false
                },
                "accountType": "USER",
                "isPremiumAvatarTreatment": false
              },
              "authorCommunityBadge": null,
              "score": 1,
              "voteState": "NONE",
              "authorFlair": null,
              "isSaved": false,
              "isStickied": false,
              "isScoreHidden": false,
              "isArchived": false,
              "distinguishedAs": null,
              "permalink": "/r/Whatcouldgowrong/comments/1q4aqti/已被版主删除/ny5ts6z/",
              "modContentDiscussion": null,
              "moderationInfo": null,
              "isCommercialCommunication": false,
              "commentStats": null
            },
            "childCount": 0
          },
          {
            "depth": 0,
            "more": {
              "count": 737,
              "cursor": "commenttree:ny5ct9u, ny56wxs, ny41glt, ny3arhi, ny36u3w, ny0fxuj, nxzwelt, nxyvilk, nxyr872, nxyqtep, nxyoliy, nxyl28w, nxyhpsb, nxygy8r, nxyc5k7, nxxwivi, nxxtvyn, nxxs160, nxxq3hr, nxxldt7, nxx6qwo, nxwzfjv, nxwu4zd, nxwu3ih, nxwm2ie, nxwm2ef, nxwlssm, nxwk221, nxwia3l, nxwi4mz, nxwg81f, nxwftdd, nxwbmc5, nxw9q5r, nxvxh1o, nxvpg4h, nxvoysh, nxvny1n, nxvnahb, nxvmpxx, nxvkdg5, nxvhaa5, nxvdy0r, nxvcvnk, nxvay85, nxv9r55, nxv80rd, nxv3xcp, nxv2uh5, nxv0y5y, nxuxwk4, nxuwknn, nxunq1q, nxuisit, nxueqha, nxudvp2, nxu7luu, nxu3w8y, nxu303a, nxu2fr3, nxu2dqk, nxu0rad, nxty8hd, nxty2uy, nxtwctm, nxtvbd8, nxtuuyn, nxtun4h, nxtq2yl, nxtpkdh, nxtnv2t, nxtlhxq, nxtkh8e, nxtk3vn, nxtjss6, nxti1yn, nxtg3pp, nxtf84f, nxtf5bp, nxtdoyo, nxtdd3k, nxtd84o, nxtbvop, nxtblay, nxtayy8, nxt9xma, nxt9stb, nxt8r68, nxt8kb0, nxt7yjl, nxt6zzr, nxt6rcx, nxt6dmb, nxt6cze, nxt66iq, nxt550s, nxt4qj1, nxt4mra, nxt4igv, nxt3xo2, nxt3frc, nxt24jj, nxt225y, nxt214n, nxt06ha, nxszflr, nxsz34r, nxsym0r, nxsyfux, nxsxc93, nxsx4r2, nxswxzg, nxswkas, nxsvoxk, nxsvaua, nxsuvwk, nxsuo8p, nxsuhld, nxssp2y, nxsr4bi, nxsqxzx, nxsqsb1, nxspr8u, nxsp3x6, nxsoswp, nxso62o, nxsnxq3, nxsnb12, nxsn35x, nxsn1v6, nxsn14s, nxsmzt5, nxslv8g, nxslj3t, nxsla51, nxsl3a8, nxskjz5, nxsk5l0, nxsjp01, nxsjm0n, nxsjdk9, nxsicl1, nxsibo3, nxsi3yu, nxshpj1, nxshofy, nxsha8p, nxsh1e4, nxsgn40, nxsgdla, nxsgdih, nxsg71t, nxsg0s3, nxsg07m, nxsfb6d, nxsf2wd, nxsemed, nxseefr, nxse9s0, nxsdqrv, nxsdmas, nxsdh3u, nxscqgb, nxscq4u, nxscc3k, nxsc4jd, nxsblle, nxsbh10, nxsb3nc, nxsaq2c, nxsamj8, nxsabbq, nxsa6o1, nxsa5zf, nxsa1mp, nxs9ts4, nxs9sa0, nxs8ud4, nxs8r9i, nxs8kd6, nxs8dpj, nxs8cnz, nxs8aj7, nxs7zva, nxs7ucz, nxs7384, nxs6905, nxs5vtk, nxs5vat, nxs5i4x, nxs4c7a, nxs40zh, nxs3sjh, nxs397n, nxs3ky3, nxs2e6y, nxs2mgm, nxs3f4p, nxs388x, nxs1xh5, nxs1iho, nxs2b5m, nxs2g4z, nxrzo5s, nxs2j0b, nxrz6d6, nxs2rfo, nxry9km, nxs0nwq, nxs1gfz, nxs0wcz, nxs1ql5, nxrwhg8, nxrpmzo, nxs23qb, nxrx15e, nxrxjxg, nxrzrss, nxrz5y7, nxrtvw4, nxrr4ml, nxrzitx, nxs28ry, nxrxxrl, nxrtjto, nxrkze9, nxrxa8p, nxrr95k, nxrmn8i, nxrsv70, nxri6mv, nxs0jil, nxryvib, nxrhe4j, nxruk6k, nxrd3zs, nxrjvkh, nxrx73q, nxrztj6, nxrw0pz, nxrw899, nxrb2ec, nxrvwui, nxrvnmx, nxrsm9y, nxrwetf, nxrwp4s, nxrjwht, nxrc8j4, nxr92q9, nxrp2y8, nxrytmw, nxrs791, nxrrwrn, nxrv1p6, nxrng41, nxrr7nw, nxrb0rt, nxrscqa, nxrhj0k, nxrh8u0, nxrnghs, nxrq92f, nxrbpxl, nxrlli7, nxr60lu, nxrm9eq, nxrged5, nxr7sph, nxr8sq7, nxr8m0u, nxr8bxl, nxr9lif, nxridfs, nxrhoq8, nxr85sq, nxrasi1, nxrqzpk, nxragsg, nxr81u4, nxr8bnb, nxrd9t4, nxrgn84, nxr6xfr, nxr895c, nxrax7b, nxrsgzy, nxr62wl, nxrovx7, nxrriir, nxr8gsa, nxr62i6, nxr9y5o, nxr6gcm, nxr92yq, nxr86e9, nxr917r, nxrm9w9, nxrs2pf, nxr6opx, nxrpgu8, nxr8lrm, nxrv28z, nxra8r8, nxri9iy, nxra7bs, nxr7b33, nxr7y5x, nxr83ki, nxr6bul, nxrgee8, nxrtrmr, nxr7uhr, nxro5k2, nxr67hw, nxr726i, nxr6lx9, nxrqchc, nxr6abn, nxr8vv3, nxr8ge3, nxrpwe1, nxr9de9, nxr90ob, nxr96y9, nxrh7oc, nxr944g, nxr7vip, nxr8bp7, nxr9qzt",
              "isTooDeepForCount": false
            },
            "parentId": null,
            "node": null,
            "childCount": 737
          }
        ],
        "pageInfo": {
          "commentCount": 745,
          "hasNextPage": true
        }
      },
      "commentCount": 717
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。